Returns task list templates for a task bundle.

GEThttps://api.awork.com/api/v1/taskbundles/{taskBundleId}/tasklisttemplates
GET https://api.awork.com/api/v1/taskbundles/{taskBundleId}/tasklisttemplates

Returns task list templates for a task bundle. The response includes the list template configuration.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

taskBundleIdstringRequired
format: uuid

The id of the task bundle.

Query parameters

pageintegerOptional
Default: 1

Page number for pagination

pageSizeintegerOptional
Default: 10

Number of items per page

orderbystringOptional

The properties to order by

filterbystringOptional

The filter expression to filter by

Responses

200 OK

application/json

idstringOptional
format: uuid

The id of the task list.

createdOnstringOptional
format: date-time

The date this task list was created.

createdBystringOptional
format: uuid

The id of the user who created this task list.

updatedOnstringOptional
format: date-time

The date this task list was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this task list.

namestring or nullOptional

The name of the list.

ordernumber or nullOptional
format: double

The order of the list.

plannedDurationinteger or nullOptional
format: int32

The planned duration for this task list, in seconds.

totalPlannedDurationinteger or nullOptional
format: int64

The total planned duration for this task list, including all primary tasks (parent tasks which have this tacklist as PrimaryTaskListId), in seconds. Calculated: sum PlannedDuration of primary tasks in list Archived task lists are not included in the calculation.

totalPlannedDurationWithHierarchyinteger or nullOptional
format: int64

The total planned duration for this task list, including all primary tasks (parent tasks which have this task list as PrimaryTaskListId), in seconds. Calculated: max(PlannedDuration, sum TotalPlannedDurationWithHierarchy of primary tasks in list) Archived task lists are not included in the calculation.

isArchivedbooleanOptional

Whether the task list has been archived.

isHiddenForConnectUsersbooleanOptional

True if the task in this list will be not visible for external workspace users. False otherwise.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation